import { renderless, api } from "@dftvue2-opentiny/vue-renderless/drawer/vue";
import { props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { IconClose } from "@dftvue2-opentiny/vue-icon";
import Button from "@dftvue2-opentiny/vue-button";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = {
  components: {
    TinyButton: Button,
    IconClose: IconClose()
  },
  props: [].concat(props, ["visible", "title", "showHeader", "showFooter", "customClass", "placement", "width", "mask", "dragable", "maskClosable", "lockScroll", "flex"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
};
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.visible,
      expression: "visible"
    }],
    staticClass: "text-sm",
    attrs: {
      "data-tag": "tiny-drawer"
    }
  }, [_vm.mask ? _c("div", {
    ref: "mask",
    class: _vm.m("fixed z-50 left-0 right-0 top-0 bottom-0 w-full h-full transition-opacity ease-linear duration-200", {
      "bg-color-bg-7": _vm.state.toggle
    }),
    on: {
      "click": function click($event) {
        _vm.maskClosable && _vm.close();
      }
    }
  }) : _vm._e(), _c("div", {
    ref: "drawerBox",
    class: _vm.m("fixed w-full max-w-full flex flex-col bg-color-bg-1 z-50 shadow-sm border-color-border-separator", {
      "transition-all ease-linear duration-200": !_vm.state.dragEvent.isDrag
    }, {
      "h-full": ["left", "right"].includes(_vm.placement)
    }, {
      "max-h-full": ["top", "bottom"].includes(_vm.placement)
    }, {
      "left-0 bottom-0 translate-y-full border-t-0.5": _vm.placement === "bottom"
    }, {
      "left-0 top-0 -translate-y-full border-b-0.5": _vm.placement === "top"
    }, {
      "translate-y-0": ["top", "bottom"].includes(_vm.placement) && _vm.state.toggle
    }, {
      "left-0 top-0 -translate-x-full border-r-0.5": _vm.placement === "left"
    }, {
      "right-0 top-0 translate-x-full border-l-0.5": _vm.placement === "right"
    }, {
      "translate-x-0": ["left", "right"].includes(_vm.placement) && _vm.state.toggle
    }, _vm.customClass),
    style: {
      width: ["left", "right"].includes(_vm.placement) ? _vm.state.computedWidth : null
    },
    attrs: {
      "data-tag": "tiny-drawer-main"
    }
  }, [_vm.dragable ? _c("div", {
    ref: "dragBar",
    class: ["h-full absolute top-0 w-2 cursor-e-resize", _vm.placement === "left" ? "-right-1" : "-left-1"],
    attrs: {
      "data-tag": "drawer-drag-bar"
    }
  }) : _vm._e(), _c("div", {
    class: ["flex-auto flex-col flex max-h-full overflow-hidden"]
  }, [_vm.showHeader ? _c("div", {
    ref: "header",
    staticClass: "flex-none flex leading-6 p-4 text-base items-center",
    attrs: {
      "data-tag": "drawer-header"
    }
  }, [_vm._t("header", function() {
    return [_vm.title ? _c("div", {
      staticClass: "max-w-[80%] pr-4 text-left truncate"
    }, [_vm._v(_vm._s(_vm.title))]) : _vm._e(), _c("div", {
      staticClass: "flex-1 flex items-center justify-end"
    }, [_vm._t("header-right", function() {
      return [_c("IconClose", {
        attrs: {
          "custom-class": "h-5 w-5 cursor-pointer"
        },
        on: {
          "click": _vm.close
        }
      })];
    })], 2)];
  })], 2) : _vm._e(), _c("div", {
    ref: "body",
    class: ["flex-auto overflow-auto", {
      "flex flex-col": _vm.flex
    }],
    attrs: {
      "data-tag": "drawer-body"
    }
  }, [_vm._t("default")], 2), _vm.showFooter ? _c("div", {
    ref: "footer",
    staticClass: "px-4 py-3",
    attrs: {
      "data-tag": "drawer-footer"
    }
  }, [_c("div", {
    staticClass: "flex-1 text-right"
  }, [_vm._t("footer", function() {
    return [_c("tiny-button", {
      attrs: {
        "tiny_mode": "mobile-first"
      },
      on: {
        "click": _vm.close
      }
    }, [_vm._v(_vm._s(_vm.t("ui.button.cancel")))]), _c("tiny-button", {
      staticClass: "ml-2",
      attrs: {
        "tiny_mode": "mobile-first",
        "type": "primary"
      },
      on: {
        "click": _vm.confirm
      }
    }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))])];
  })], 2)]) : _vm._e()])])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
