import { renderless, api } from "@dftvue2-opentiny/vue-renderless/drawer/vue";
import { props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import "@dftvue2-opentiny/vue-theme/drawer/index.css";
import { IconClose } from "@dftvue2-opentiny/vue-icon";
import Button from "@dftvue2-opentiny/vue-button";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = {
  components: {
    TinyButton: Button,
    IconClose: IconClose()
  },
  props: [].concat(props, ["visible", "title", "showHeader", "showFooter", "customClass", "placement", "width", "mask", "dragable", "maskClosable", "lockScroll", "flex", "showClose", "zIndex"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
};
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-drawer",
    attrs: {
      "data-tag": "tiny-drawer"
    }
  }, [_c("transition", {
    attrs: {
      "name": "drawer-fade"
    }
  }, [_vm.mask && _vm.visible ? _c("div", {
    ref: "mask",
    class: ["tiny-drawer__mask", {
      "show-bg-color": _vm.state.toggle
    }],
    style: {
      zIndex: _vm.zIndex
    },
    on: {
      "click": function click($event) {
        _vm.maskClosable && _vm.close();
      }
    }
  }) : _vm._e()]), _c("transition", {
    attrs: {
      "name": "drawer-slideRight"
    }
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.visible,
      expression: "visible"
    }],
    ref: "drawerBox",
    class: ["tiny-drawer__main", {
      "is-left": _vm.placement === "left",
      "is-right": _vm.placement === "right",
      "is-top": _vm.placement === "top",
      "is-bottom": _vm.placement === "bottom",
      "drag-effects": !_vm.state.dragEvent.isDrag,
      "toggle": _vm.state.toggle
    }, _vm.customClass],
    style: {
      width: ["left", "right"].includes(_vm.placement) ? _vm.state.computedWidth : null,
      zIndex: _vm.zIndex
    },
    attrs: {
      "data-tag": "tiny-drawer-main"
    }
  }, [_vm.dragable ? _c("div", {
    ref: "dragBar",
    class: ["tiny-drawer__drag-bar"],
    attrs: {
      "data-tag": "drawer-drag-bar"
    }
  }) : _vm._e(), _c("div", {
    staticClass: "tiny-drawer__box"
  }, [_vm.showHeader ? _c("div", {
    ref: "header",
    staticClass: "tiny-drawer__header-wrapper",
    attrs: {
      "data-tag": "drawer-header"
    }
  }, [_vm._t("header", function() {
    return [_c("div", {
      staticClass: "tiny-drawer__header"
    }, [_vm.title ? _c("div", {
      staticClass: "tiny-drawer__title"
    }, [_vm._v(_vm._s(_vm.title))]) : _vm._e(), _c("div", {
      staticClass: "tiny-drawer__header-right"
    }, [_vm._t("header-right")], 2)])];
  }), _vm.showClose ? _c("button", {
    staticClass: "tiny-drawer__headerbtn",
    attrs: {
      "type": "button",
      "aria-label": "Close"
    },
    on: {
      "click": _vm.close
    }
  }, [_c("icon-close", {
    staticClass: "tiny-svg-size tiny-drawer__close"
  })], 1) : _vm._e()], 2) : _vm._e(), _c("div", {
    ref: "body",
    class: ["tiny-drawer__body", {
      "flex flex-col": _vm.flex
    }],
    attrs: {
      "data-tag": "drawer-body"
    }
  }, [_vm._t("default")], 2), _vm.showFooter ? _c("div", {
    ref: "footer",
    staticClass: "tiny-drawer__footer",
    attrs: {
      "data-tag": "drawer-footer"
    }
  }, [_vm._t("footer", function() {
    return [_c("tiny-button", {
      attrs: {
        "type": "primary"
      },
      on: {
        "click": _vm.confirm
      }
    }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))]), _c("tiny-button", {
      attrs: {
        "plain": ""
      },
      on: {
        "click": _vm.close
      }
    }, [_vm._v(_vm._s(_vm.t("ui.button.cancel")))])];
  })], 2) : _vm._e()])])])], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
